|  | Home | Documentation | wsc__DerivedKeyTokenType Struct Reference updated by Robert van Engelen |

Classes | Public Attributes | List of all members
wsc__DerivedKeyTokenType Struct Reference

"http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512":DerivedKeyTokenType is a complexType. More...

`#include <wsc.h>`

Collaboration diagram for wsc__DerivedKeyTokenType:
[legend]

## Classes

struct | __wsc__DerivedKeyTokenType_sequence

## Public Attributes

_wsse__SecurityTokenReference * | wsse__SecurityTokenReference
| Imported element reference "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd":SecurityTokenReference.
struct wsc__PropertiesType * | Properties
| Element "Properties" of XSD type "http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512":PropertiesType.
struct wsc__DerivedKeyTokenType::__wsc__DerivedKeyTokenType_sequence * | __DerivedKeyTokenType_sequence
char * | Label
| Element reference "http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512:""http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512":Label.
char * | Nonce
| Element reference "http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512:""http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512":Nonce.
char * | wsu__Id
| Imported attribute reference "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd":Id.
char * | Algorithm
| Attribute "Algorithm" of XSD type xs:anyURI.

## Detailed Description

"http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512":DerivedKeyTokenType is a complexType.

## Member Data Documentation

## ◆ __DerivedKeyTokenType_sequence

struct wsc__DerivedKeyTokenType::__wsc__DerivedKeyTokenType_sequence * wsc__DerivedKeyTokenType::__DerivedKeyTokenType_sequence

## ◆ Algorithm

char* wsc__DerivedKeyTokenType::Algorithm

Attribute "Algorithm" of XSD type xs:anyURI.

Optional attribute.

## ◆ Label

char* wsc__DerivedKeyTokenType::Label

Element reference "http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512:""http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512":Label.

Optional element.

## ◆ Nonce

char* wsc__DerivedKeyTokenType::Nonce

Element reference "http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512:""http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512":Nonce.

Optional element.

## ◆ Properties

struct wsc__PropertiesType* wsc__DerivedKeyTokenType::Properties

Element "Properties" of XSD type "http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512":PropertiesType.

Optional element.

## ◆ wsse__SecurityTokenReference

_wsse__SecurityTokenReference* wsc__DerivedKeyTokenType::wsse__SecurityTokenReference

Imported element reference "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd":SecurityTokenReference.

Optional element.

## ◆ wsu__Id

char* wsc__DerivedKeyTokenType::wsu__Id

Imported attribute reference "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd":Id.

Optional attribute.

The documentation for this struct was generated from the following file:

- wsc.h